{ modulesPath, ... }:

{

  imports = [ (modulesPath + "/virtualisation/qemu-vm.nix") ];

  services.peertube = {
    enableWebHttps = false;
    settings = {
      listen.hostname = "0.0.0.0";
      instance.name = "PeerTube Test VM";
    };
  };

  virtualisation.forwardPorts = [
    {
      from = "host";
      host.port = 9000;
      guest.port = 9000;
    }
  ];
}
